<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESSupport.html">GLESSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLESSupport Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a87fbb88802be0e3f63c7d41c82d7a008">addConfig</a>()=0</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a5258d5d581764d1b66118117c7dc58e4">checkExtension</a>(const String &amp;ext) const </td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a5297db5d913a20e0adf92f68ea526c1e">createPBuffer</a>(PixelComponentType format, size_t width, size_t height)=0</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a6a9d408b909c46a09e2b44f43450810b">createWindow</a>(bool autoCreateWindow, GLESRenderSystem *renderSystem, const String &amp;windowTitle)=0</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a8581a423171332aed8bfcbff7aa8939a">extensionList</a></td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a3c6377b1c6a522033a8df284902d7c77">getConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a30b27014eed2901c03f71f24b79dceb7">getDisplayMonitorCount</a>() const </td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a34fc4cc251f4466759d3004dd3674b93">getGLVendor</a>(void) const </td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a2258ed278d0417efc064f5c33ec3b0c1">getGLVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#abdb29bd7d75942151c59248d501d20f7">getProcAddress</a>(const String &amp;procname)=0</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a454b16b106337c1cb81f078af7d4b349">GLESSupport</a>()</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#afa94fede38d0ff8a33cd24ef7bcc570f">initialiseExtensions</a>()</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a79409f5c2ffda886fca7a9b17d47edd8">mOptions</a></td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a75a3471bd4b286536331a6ceacdd3dad">mVendor</a></td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#addb2487947de3f042ed809766dd03a03">mVersion</a></td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a4fbaf6372fd435b8ba277e2b4b60c44c">newWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)=0</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#aa90028ef0825593ccfeb1945ee9716c7">setConfigOption</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#aa33de56899f26c984137e5fc8a31ff6e">start</a>()=0</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a2309106e40cd13d5b7a248a73e661bf2">stop</a>()=0</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#af591bf65bf8382d2040a29e43ba620ad">validateConfig</a>()=0</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#afdaea2db21d2ca99e90b1f0f3e053446">~GLESSupport</a>()</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:26
</p>
</body>
</html>
